<template>
  <v-card
    @click="openContact(id, targetContact)"
    height="50"
    class="wrapper"
    width="100%"
  >
    <div>
      <v-list-item-content>
        <v-list-item-title v-text="name"></v-list-item-title>
      </v-list-item-content>
    </div>

    <v-list-item-action>
      <v-btn
        @click="deletedItem(id, name)"
        text
        color="deep-purple accent-4"
      >
        Deleted
      </v-btn>
    </v-list-item-action>
  </v-card>
</template>

<script>
  import {mapActions} from 'vuex'
  export default {
    name: 'contact',
    props: ['name', 'id'],
    methods: {
      ...mapActions(['targetContact', 'removeContact', 'setLocalInfo']),
      openContact(id, fn){
        fn(id)
        this.$router.push(`/contact/${id}`)
      },
      deletedItem(id, name) {
        const isDelete = confirm(`Are you definitely want to delete the contact ${name}`)
        return isDelete ? this.removeContact(id) && this.setLocalInfo() : null
      },
    },
  }
</script>

<style scoped>
  .wrapper {
    display: flex;
    justify-content: space-between;
    padding: 5px;
    margin: 5px;
  }
</style>
